## ros-ros-comm 1.14.2+ds1

=== debian/changelog ===
ros-ros-comm (1.14.2+ds1-10ubuntu1) cosmic; urgency=medium

  * Run 8 g++ compilations of one-liners, and 16 python imports as a
    single ADT test in a single VM, instead of 24 VMs. Thus reducing a
    single reverse trigger of ADT tests from 144 VMs to just 6. This
    should stop pointless abuse of resources in scalingstack.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 03 Oct 2018 17:05:50 +0100

ros-ros-comm (1.14.2+ds1-10) unstable; urgency=medium

  * Team upload.
  * Drop explicit export of the build flags, dh take care of it already.
  * Do not build-depend on all support python(3) versions, since the build
    system only builds for the default one only.
  * Bump Standards-Version to 4.2.1.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Sep 2018 12:14:36 +0200

ros-ros-comm (1.14.2+ds1-9) unstable; urgency=medium

  * Fix build dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 17 Aug 2018 17:09:07 +0200

ros-ros-comm (1.14.2+ds1-8) unstable; urgency=medium

  * Add patch to generate proper Python 3 package

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 17 Aug 2018 15:14:26 +0200

ros-ros-comm (1.14.2+ds1-7) unstable; urgency=medium

  * Fix location of cmake files
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 03 Aug 2018 07:17:39 +0200

ros-ros-comm (1.14.2+ds1-6) unstable; urgency=medium

  * Add rospkg dependency to rosgraph (Closes: #905223)
  * Add more Multi-Arch
  * Fix changelog line length

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 02 Aug 2018 11:30:32 +0200

ros-ros-comm (1.14.2+ds1-5) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * add python import tests
  * add missing dependency of python-rosbag on python-crypto and of
    python-topic-tools on python-rospy
  * add missing dependency of python-rosbag on python-gnupg
  * add missing dependency of python-roscpp-msgs on python-genpy

  [ Jochen Sprickerhof ]
  * Rename *roscpp-msgs to *roscpp-msg (according to upstream)
  * Add Python 3 packages
  * update standards version
  * Add MA hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 29 Jul 2018 21:52:03 +0200

ros-ros-comm (1.14.2+ds1-4) unstable; urgency=medium

  * Team upload.
  * Re-introduce lost Recover changelog entries lost after making fixes to
    1.13.5 while 1.13.6 was still in NEW

 -- Johannes 'josch' Schauer <josch@debian.org>  Wed, 11 Jul 2018 07:55:58 +0200

ros-ros-comm (1.14.2+ds1-3) unstable; urgency=medium

  * Team upload.
  * debian/control: let librosbag-storage-dev depend on pluginlib-dev
  * debian/librosbag-storage-dev.install: also install rosbag/encryptor.h
  * debian/control: make librosbag-storage-dev depend on libgpgme-dev
  * Add compilation test cases for every *-dev package

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 08 Jul 2018 21:35:30 +0200

ros-ros-comm (1.14.2+ds1-2) unstable; urgency=medium

  * Upload to unstable (Closes: #898001)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 07 Jul 2018 11:44:05 +0200

ros-ros-comm (1.14.2+ds1-1) experimental; urgency=medium

  [ Jochen Sprickerhof ]
  * Add missing dependencies

  [ Johannes Schauer ]
  * Add autopkgtest

  [ Jochen Sprickerhof ]
  * New upstream version 1.14.1+ds1
  * Remove rosconsole (moved into it's own package)
  * Update copyright
  * New upstream version 1.14.2+ds1
  * Bump Soname due to ABI changes
  * Adopt patches
  * Add missing dependency (Closes: #898847)
  * Add new build dependencies
  * Update patch
  * Make libroscpp-msgs-dev arch:any due to arch:any dependency
  * Remove python build dependency
  * Remove old X-Python-Version

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 Jun 2018 23:12:24 +0200

ros-ros-comm (1.13.6+ds1-1) experimental; urgency=medium

  * Add R³
  * http -> https
  * New upstream version 1.13.6+ds1
  * Rebase patches
  * Update policy and debhelper versions
  * Add python-roslaunch to python-rostest (Closes: #894647)
  * Remove wrong ${misc:Depends}
  * Bump soname of libxmlrpcpp due to ABI change

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Apr 2018 15:17:11 +0200

ros-ros-comm (1.13.5+ds1-5) unstable; urgency=medium

  * Remove rosconsole, provided by src:ros-rosconsole (Closes: #902106)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 Jun 2018 13:49:36 +0200

ros-ros-comm (1.13.5+ds1-4) unstable; urgency=medium

  * Make libroscpp-msgs-dev arch:any due to arch:any dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Jun 2018 19:14:11 +0200

=== debian/control ===
Source: ros-ros-comm
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11), catkin (>= 0.7.14-4), dh-exec, libroscpp-core-dev,
 python-rosunit, libconsole-bridge-dev, libboost-date-time-dev,
 libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev,
 libboost-system-dev, libboost-thread-dev, libboost-signals-dev, liblz4-dev,
 ros-message-generation, libbz2-dev, libros-rosgraph-msgs-dev, libstd-msgs-dev,
 dh-python, python-dev, python3-dev, liblog4cxx-dev, libstd-srvs-dev, libboost-chrono-dev, libb64-dev, librosconsole-dev, pluginlib-dev, libgpgme-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-comm
Vcs-Git: https://salsa.debian.org/science-team/ros-ros-comm.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/ros_comm


###########
# Clients #
###########

Package: libroscpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libroscpp2d (= ${binary:Version}), ${misc:Depends}, python, libboost-signals-dev, libboost-filesystem-dev, libboost-system-dev, librosconsole-dev, libros-rosgraph-msgs-dev, libxmlrpcpp-dev, libroscpp-msg-dev
Description: Robot OS development files for libroscpp
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the development files for the library.

Package: libroscpp2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS client library
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the library.

Package: ros-roscpp-msg
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-std-msgs
Conflicts: ros-roscpp-msgs
Replaces: ros-roscpp-msgs
Description: Robot OS definitions of roscpp messages
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the message definitions.

Package: libroscpp-msg-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libroscpp-core-dev
Conflicts: libroscpp-msgs-dev
Replaces: libroscpp-msgs-dev
Description: Robot OS header for roscpp messages
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated C++ headers.

Package: python-roscpp-msg
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-genpy
Conflicts: python-roscpp-msgs
Replaces: python-roscpp-msgs
Description: Header for roscpp messages, Python 2
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated Python 2 package.

Package: python3-roscpp-msg
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy
Description: Header for roscpp messages, Python 3
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated Python 3 package.

Package: cl-roscpp-msg
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: cl-roscpp-msgs
Replaces: cl-roscpp-msgs
Description: Header for roscpp messages, LISP
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated LISP library.

Package: python-rospy
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${misc:Depends}, python-std-msgs, python-rosgraph, python-roscpp-msg, python-rosgraph-msgs, python-yaml, python-roslib
Description: Python 2 client library for Robot OS
 This package is part of Robot OS (ROS). The rospy client API enables
 Python programmers to quickly interface with ROS topics, services,
 and parameters. The design of rospy favors implementation speed
 (i.e. developer time) over runtime performance so that algorithms can
 be quickly prototyped and tested within ROS. It is also ideal for
 non-critical-path code, such as configuration and initialization
 code. Many of the ROS tools are written in rospy to take advantage of
 the type introspection capabilities.
 .
 Many of the ROS tools, such as rostopic and rosservice, are built on
 top of rospy.
 .
 This package contains the Python 2 library.

Package: python3-rospy
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-std-msgs, python3-rosgraph, python3-roscpp-msg, python3-rosgraph-msgs, python3-yaml, python3-roslib
Description: Python 3 client library for Robot OS
 This package is part of Robot OS (ROS). The rospy client API enables
 Python programmers to quickly interface with ROS topics, services,
 and parameters. The design of rospy favors implementation speed
 (i.e. developer time) over runtime performance so that algorithms can
 be quickly prototyped and tested within ROS. It is also ideal for
 non-critical-path code, such as configuration and initialization
 code. Many of the ROS tools are written in rospy to take advantage of
 the type introspection capabilities.
 .
 Many of the ROS tools, such as rostopic and rosservice, are built on
 top of rospy.
 .
 This package contains the Python 3 library.


#########
# Tools #
#########

Package: librosbag-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librosbag3d (= ${binary:Version}), ${misc:Depends}, librosbag-storage-dev, librosconsole-dev, libroscpp-dev, libtopic-tools-dev, libxmlrpcpp-dev, libstd-srvs-dev
Description: Tools for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the development files
 for the rosbag library, which provides APIs for reading/writing bags
 (ROS message stores) in C++ and Python.

Package: librosbag3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Library for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the rosbag library,
 which provides APIs for reading/writing bags (ROS message stores) in
 C++ and Python. It is intended to be high performance and avoids
 deserialization and reserialization of the messages.
 .
 The related rosbag package provides a command-line tool for working
 with bags.

Package: python-rosbag
Section: python
Architecture: any
Multi-Arch: allowed
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-roslib, python-rospy, python-roslz4, python-crypto, python-gnupg
Description: Python 2 tools for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It provides a command-line
 tool for working with bags (ROS messages stores). The corresponding
 librosbag package provides corresponding C++ and Python APIs.
 .
 This package contains the Python 2 library.

Package: python3-rosbag
Section: python
Architecture: any
Multi-Arch: allowed
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-roslib, python3-rospy, python3-roslz4, python3-crypto, python3-gnupg
Description: Python 3 tools for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It provides a command-line
 tool for working with bags (ROS messages stores). The corresponding
 librosbag package provides corresponding C++ and Python APIs.
 .
 This package contains the Python 3 library.

Package: librosbag-storage-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librosbag-storage3d (= ${binary:Version}), ${misc:Depends}, libconsole-bridge-dev, libboost-date-time-dev, libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev, libroslz4-dev, libbz2-dev, pluginlib-dev, libgpgme-dev
Description: Development files for librosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library.
 .
 This package contains the development files for the library.

Package: librosbag-storage3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS library for rosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library.
 .
 This package contains the library.

Package: python-rosgraph
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${misc:Depends}, python-yaml, python-rospkg
Description: Tool to print information about the Robot OS computation graph - Python 2
 This package is part of Robot OS (ROS). rosgraph contains the
 rosgraph command-line tool, which prints information about the ROS
 computation graph. It also provides an internal library that can be
 used by graphical tools.
 .
 This package contains the Python 2 library.

Package: python3-rosgraph
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-yaml, python3-rospkg
Description: Tool to print information about the Robot OS computation graph - Python 3
 This package is part of Robot OS (ROS). rosgraph contains the
 rosgraph command-line tool, which prints information about the ROS
 computation graph. It also provides an internal library that can be
 used by graphical tools.
 .
 This package contains the Python 3 library.

Package: python-roslaunch
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python:Depends}, ${misc:Depends}, python-rosclean,
 rosout, python-rospkg, python-rosgraph, python-roslib, python-rosmaster,
 python-rosgraph-msgs, python-netifaces, python-rosparam, python-yaml
Description: roslaunch tool for Robot OS - Python 2
 This package is part of Robot OS (ROS). roslaunch is a tool for

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@ --with=python2,python3 --buildsystem=cmake

=== debian/tests/control ===
Tests: run_tests
Restrictions: allow-stderr
Depends: libroscpp-dev, g++, catkin, librosbag-dev,
 librosbag-storage-dev, librostest-dev, libtopic-tools-dev,
 libmessage-filters-dev, libroslz4-dev, libxmlrpcpp-dev,
 python-roscpp-msg, python-rospy, python-rosbag, python-rosgraph,
 python-roslaunch, python-rosmaster, python-rosmsg, python-rosnode,
 python-rosparam, python-rosservice, python-rostest, python-rostopic,
 python-topic-tools, python-message-filters, python-roswtf,
 python-roslz4

## ros-ros-comm 1.14.3%2Bds1

=== test/test_rosbag_storage/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(test_rosbag_storage)

find_package(catkin REQUIRED COMPONENTS rosbag_storage std_msgs)

find_package(Boost REQUIRED)

catkin_package()

if(CATKIN_ENABLE_TESTING)
  include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

  catkin_add_gtest(bag_player src/bag_player.cpp)
  if(TARGET bag_player)
    target_link_libraries(bag_player ${catkin_LIBRARIES})
  endif()
  catkin_add_gtest(create_and_iterate_bag src/create_and_iterate_bag.cpp)
  if(TARGET create_and_iterate_bag)
    target_link_libraries(create_and_iterate_bag ${catkin_LIBRARIES})
  endif()
  catkin_add_gtest(swap_bags src/swap_bags.cpp)
  if(TARGET swap_bags)
    target_link_libraries(swap_bags ${catkin_LIBRARIES})
  endif()
endif()

=== test/test_rospy/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(test_rospy)
find_package(catkin REQUIRED COMPONENTS genmsg rosunit rostest std_msgs test_rosmaster)

if(CATKIN_ENABLE_TESTING)
  # messages are for integration testing only
  add_message_files(DIRECTORY msg
    FILES
    ArrayVal.msg
    EmbedTest.msg
    Empty.msg
    Floats.msg
    HeaderHeaderVal.msg
    HeaderVal.msg
    PythonKeyword.msg
    TestConstants.msg
    TestFixedArray.msg
    TransitiveImport.msg
    TransitiveMsg1.msg
    TransitiveMsg2.msg
    Val.msg
    NOINSTALL
    )
  add_service_files(DIRECTORY srv
    FILES
    ConstantsMultiplex.srv
    EmptyReqSrv.srv
    EmptyRespSrv.srv
    EmptySrv.srv
    ListReturn.srv
    MultipleAddTwoInts.srv
    StringString.srv
    TransitiveSrv.srv
    NOINSTALL
    )

  generate_messages(DEPENDENCIES std_msgs test_rosmaster)
endif()

catkin_package()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/unit)

  # integration tests
  # - accidentally wrote two integration tests for client param API. They are different enough that it's no harm in having both
  add_rostest(test/rostest/client-param-server.test)
  add_rostest(test/rostest/client-param-api-2.test)
  add_rostest(test/rostest/services.test)
  add_rostest(test/rostest/deregister.test)
  add_rostest(test/rostest/pubsub-order.test)
  add_rostest(test/rostest/embed-msg.test)
  add_rostest(test/rostest/rospy.test)
  add_rostest(test/rostest/rospy_sim_time.test)
  add_rostest(test/rostest/node.test)
  add_rostest(test/rostest/latch.test)
  add_rostest(test/rostest/on_shutdown.test)
  add_rostest(test/rostest/sub_to_multiple_pubs.test)
  add_rostest(test/rostest/latch_unsubscribe.test)
endif()

=== tools/rosmaster/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rosmaster)
find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== utilities/message_filters/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(message_filters)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(catkin REQUIRED COMPONENTS roscpp rosconsole)
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES message_filters
  CATKIN_DEPENDS roscpp rosconsole
)
catkin_python_setup()

find_package(Boost REQUIRED COMPONENTS signals thread)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_library(${PROJECT_NAME} src/connection.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

if(CATKIN_ENABLE_TESTING)
  # Ugly workaround for check_test_ran macro issue
  #add_subdirectory(test)
  find_package(catkin COMPONENTS rostest rosunit)

  include_directories(${GTEST_INCLUDE_DIRS})

  # ********** Tests **********
  catkin_add_gtest(${PROJECT_NAME}-msg_cache_unittest test/msg_cache_unittest.cpp)
  if(TARGET ${PROJECT_NAME}-msg_cache_unittest)
    target_link_libraries(${PROJECT_NAME}-msg_cache_unittest message_filters ${GTEST_LIBRARIES})
  endif()

  catkin_add_gtest(${PROJECT_NAME}-time_synchronizer_unittest test/time_synchronizer_unittest.cpp)
  if(TARGET ${PROJECT_NAME}-time_synchronizer_unittest)
    target_link_libraries(${PROJECT_NAME}-time_synchronizer_unittest message_filters ${GTEST_LIBRARIES})
  endif()

  catkin_add_gtest(${PROJECT_NAME}-test_synchronizer test/test_synchronizer.cpp)
  if(TARGET ${PROJECT_NAME}-test_synchronizer)
    target_link_libraries(${PROJECT_NAME}-test_synchronizer message_filters ${GTEST_LIBRARIES})
  endif()

  catkin_add_gtest(${PROJECT_NAME}-test_exact_time_policy test/test_exact_time_policy.cpp)
  if(TARGET ${PROJECT_NAME}-test_exact_time_policy)
    target_link_libraries(${PROJECT_NAME}-test_exact_time_policy message_filters ${GTEST_LIBRARIES})
  endif()

  catkin_add_gtest(${PROJECT_NAME}-test_approximate_time_policy test/test_approximate_time_policy.cpp)
  if(TARGET ${PROJECT_NAME}-test_approximate_time_policy)
    target_link_libraries(${PROJECT_NAME}-test_approximate_time_policy message_filters ${GTEST_LIBRARIES})
  endif()

  catkin_add_gtest(${PROJECT_NAME}-test_simple test/test_simple.cpp)
  if(TARGET ${PROJECT_NAME}-test_simple)
    target_link_libraries(${PROJECT_NAME}-test_simple message_filters ${GTEST_LIBRARIES})
  endif()

  catkin_add_gtest(${PROJECT_NAME}-test_chain test/test_chain.cpp)
  if(TARGET ${PROJECT_NAME}-test_chain)
    target_link_libraries(${PROJECT_NAME}-test_chain message_filters ${GTEST_LIBRARIES})
  endif()

  # Needs to be a rostest because it spins up a node, which blocks until it hears from the master (unfortunately)
  add_rostest_gtest(${PROJECT_NAME}-time_sequencer_unittest test/time_sequencer_unittest.xml test/time_sequencer_unittest.cpp)
  if(TARGET ${PROJECT_NAME}-time_sequencer_unittest)
    target_link_libraries(${PROJECT_NAME}-time_sequencer_unittest message_filters)
  endif()

  add_rostest_gtest(${PROJECT_NAME}-test_subscriber test/test_subscriber.xml test/test_subscriber.cpp)
  if(TARGET ${PROJECT_NAME}-test_subscriber)
    target_link_libraries(${PROJECT_NAME}-test_subscriber message_filters)
  endif()

  # Unit test of the approximate synchronizer
  catkin_add_nosetests(test/test_approxsync.py)
  catkin_add_nosetests(test/test_message_filters_cache.py)
endif()

=== utilities/roslz4/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(roslz4)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(catkin REQUIRED)

find_path(lz4_INCLUDE_DIRS NAMES lz4.h)
if (NOT lz4_INCLUDE_DIRS)
  message(FATAL_ERROR "lz4 includes not found")
endif()

find_library(lz4_LIBRARIES NAMES lz4)
if (NOT lz4_LIBRARIES)
  message(FATAL_ERROR "lz4 library not found")
endif()
set(lz4_FOUND TRUE)

catkin_python_setup()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES roslz4
  DEPENDS lz4)

include_directories(include ${lz4_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})
add_library(roslz4 src/lz4s.c src/xxhash.c)
set_source_files_properties(
  src/lz4s.c
PROPERTIES COMPILE_FLAGS "-Wno-sign-compare")
set_source_files_properties(
  src/lz4s.c src/xxhash.c
PROPERTIES COMPILE_DEFINITIONS "XXH_NAMESPACE=ROSLZ4_")
target_link_libraries(roslz4 ${lz4_LIBRARIES} ${catkin_LIBRARIES})

if(NOT ANDROID)
# Python bindings
set(Python_ADDITIONAL_VERSIONS "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}")
find_package(PythonLibs "${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR}" REQUIRED)
include_directories(${PYTHON_INCLUDE_PATH})

add_library(roslz4_py src/_roslz4module.c)
set_source_files_properties(
  src/_roslz4module.c
PROPERTIES COMPILE_FLAGS "-Wno-missing-field-initializers -Wno-unused-variable -Wno-strict-aliasing")
set_target_properties(
  roslz4_py PROPERTIES OUTPUT_NAME roslz4 PREFIX "_" SUFFIX ".so"
  LIBRARY_OUTPUT_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${PYTHON_INSTALL_DIR}/roslz4)
target_link_libraries(roslz4_py roslz4 ${catkin_LIBRARIES} ${PYTHON_LIBRARIES})
endif()

install(TARGETS roslz4
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(NOT ANDROID)
install(TARGETS roslz4_py
  LIBRARY DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION})
endif()

install(DIRECTORY include/${PROJECT_NAME}
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

# Testing
if (CATKIN_ENABLE_TESTING)
  catkin_add_gtest(test_roslz4 test/roslz4_test.cpp)
  if (TARGET test_roslz4)
    target_link_libraries(test_roslz4 roslz4 ${catkin_LIBRARIES})
  endif()
endif()

=== test/test_rosbag/bag_migration_tests/CMakeLists.txt ===
# This is going to need some work because the bag files on
# download.ros.org all have messages with the test_rosbag package
# name.  Of course the package name for this package now is rosbag.
# If we can have a way to pass an override package name into
# generate_messages() it might make it work, or we can migrate the bag
# files themselves.

set(MSG_DIRECTORY "msg_current" CACHE STRING "Messages directory")
message(STATUS "Building messages in: ${MSG_DIRECTORY}")

set(messages_common
  Converged.msg
  MigratedAddSub.msg
  MigratedExplicit.msg
  MigratedImplicit.msg
  MigratedMixed.msg
  PartiallyMigrated.msg
  Simple.msg
  SimpleMigrated.msg
  SubUnmigrated.msg
  Unmigrated.msg)

set(messages_msg_gen1
  Constants.msg
  Convergent.msg
  Renamed1.msg)

set(messages_msg_gen2
  Constants.msg
  Convergent.msg
  Renamed2.msg)

set(messages_msg_gen3
  Renamed3.msg)

set(messages_msg_gen4
  Constants.msg
  Renamed4.msg)

set(messages_msg_current
  Constants.msg
  Renamed5.msg)

add_message_files(
  DIRECTORY ${MSG_DIRECTORY}
  FILES ${messages_common} ${messages_${MSG_DIRECTORY}})

generate_messages(DEPENDENCIES rosgraph_msgs std_msgs)

catkin_download_test_data(download_data_test_constants_gen1.bag http://download.ros.org/data/test_rosbag/constants_gen1.bag FILENAME test/constants_gen1.bag MD5 77ec8cb20e823ee3f3a87d07ea1132df )
catkin_download_test_data(download_data_test_constants_gen2.bag http://download.ros.org/data/test_rosbag/constants_gen2.bag FILENAME test/constants_gen2.bag MD5 4efd8459bf9403d1171dff06abcd6548 )
catkin_download_test_data(download_data_test_converged_gen1.bag http://download.ros.org/data/test_rosbag/converged_gen1.bag FILENAME test/converged_gen1.bag MD5 8e3524157d31b5761ac951fe16e03e12 )
catkin_download_test_data(download_data_test_converged_gen2.bag http://download.ros.org/data/test_rosbag/converged_gen2.bag FILENAME test/converged_gen2.bag MD5 0ad4041d2e3bab8262c12020ec3e048e )
catkin_download_test_data(download_data_test_converged_gen3.bag http://download.ros.org/data/test_rosbag/converged_gen3.bag FILENAME test/converged_gen3.bag MD5 90dd16cea5c51fca65be617654fb6b76 )
catkin_download_test_data(download_data_test_converged_gen4.bag http://download.ros.org/data/test_rosbag/converged_gen4.bag FILENAME test/converged_gen4.bag MD5 c88ac1f4a9a5eebd667ec55224988e40 )
catkin_download_test_data(download_data_test_convergent_gen1.bag http://download.ros.org/data/test_rosbag/convergent_gen1.bag FILENAME test/convergent_gen1.bag MD5 a840aec95e50f3c828841b688dfab5a2 )
catkin_download_test_data(download_data_test_convergent_gen2.bag http://download.ros.org/data/test_rosbag/convergent_gen2.bag FILENAME test/convergent_gen2.bag MD5 fd84c135ba1548985b870d0d5f4113e9 )
catkin_download_test_data(download_data_test_migrated_addsub_gen1.bag http://download.ros.org/data/test_rosbag/migrated_addsub_gen1.bag FILENAME test/migrated_addsub_gen1.bag MD5 462e98cef72b5df56ce3feea9ddfc4d2 )
catkin_download_test_data(download_data_test_migrated_explicit_gen1.bag http://download.ros.org/data/test_rosbag/migrated_explicit_gen1.bag FILENAME test/migrated_explicit_gen1.bag MD5 0b77e45aec3ddb19a9f9771c945e2615 )
catkin_download_test_data(download_data_test_migrated_explicit_gen2.bag http://download.ros.org/data/test_rosbag/migrated_explicit_gen2.bag FILENAME test/migrated_explicit_gen2.bag MD5 b237680d6aae1b20355af097cf0f072b )
catkin_download_test_data(download_data_test_migrated_explicit_gen3.bag http://download.ros.org/data/test_rosbag/migrated_explicit_gen3.bag FILENAME test/migrated_explicit_gen3.bag MD5 8b883286e23779bbfc30b0e5588a4d64 )
catkin_download_test_data(download_data_test_migrated_explicit_gen4.bag http://download.ros.org/data/test_rosbag/migrated_explicit_gen4.bag FILENAME test/migrated_explicit_gen4.bag MD5 96a92282f16c30bac237870f144bf9f0 )
catkin_download_test_data(download_data_test_migrated_implicit_gen1.bag http://download.ros.org/data/test_rosbag/migrated_implicit_gen1.bag FILENAME test/migrated_implicit_gen1.bag MD5 229d6cbd7dcec5e87fb2cf597b837243 )
catkin_download_test_data(download_data_test_migrated_implicit_gen2.bag http://download.ros.org/data/test_rosbag/migrated_implicit_gen2.bag FILENAME test/migrated_implicit_gen2.bag MD5 df60111e5f8034ba6259c4d76d07339b )
catkin_download_test_data(download_data_test_migrated_implicit_gen3.bag http://download.ros.org/data/test_rosbag/migrated_implicit_gen3.bag FILENAME test/migrated_implicit_gen3.bag MD5 d86f131070822f1673f7644bc28bfccd )
catkin_download_test_data(download_data_test_migrated_implicit_gen4.bag http://download.ros.org/data/test_rosbag/migrated_implicit_gen4.bag FILENAME test/migrated_implicit_gen4.bag MD5 1d2cdb322996a8f1f4ee6359bded8700 )
catkin_download_test_data(download_data_test_migrated_mixed_gen1.bag http://download.ros.org/data/test_rosbag/migrated_mixed_gen1.bag FILENAME test/migrated_mixed_gen1.bag MD5 2d0be37de2df6940b7bd93561dde7b51 )
catkin_download_test_data(download_data_test_migrated_mixed_gen2.bag http://download.ros.org/data/test_rosbag/migrated_mixed_gen2.bag FILENAME test/migrated_mixed_gen2.bag MD5 e000b2de3e4c417b0c9fbba9d2e92dc4 )
catkin_download_test_data(download_data_test_migrated_mixed_gen3.bag http://download.ros.org/data/test_rosbag/migrated_mixed_gen3.bag FILENAME test/migrated_mixed_gen3.bag MD5 6e1cbb529b7a45386589d00bf3908bdf )
catkin_download_test_data(download_data_test_migrated_mixed_gen4.bag http://download.ros.org/data/test_rosbag/migrated_mixed_gen4.bag FILENAME test/migrated_mixed_gen4.bag MD5 fdbe1928646408c51ec9dc975dd5e678 )
catkin_download_test_data(download_data_test_partially_migrated_gen1.bag http://download.ros.org/data/test_rosbag/partially_migrated_gen1.bag FILENAME test/partially_migrated_gen1.bag MD5 dcfcf1e1c1f7ddc5ab723e171273a385 )
catkin_download_test_data(download_data_test_partially_migrated_gen2.bag http://download.ros.org/data/test_rosbag/partially_migrated_gen2.bag FILENAME test/partially_migrated_gen2.bag MD5 7b2d752559a7e3c724d8b2a032daf3c1 )
catkin_download_test_data(download_data_test_partially_migrated_gen3.bag http://download.ros.org/data/test_rosbag/partially_migrated_gen3.bag FILENAME test/partially_migrated_gen3.bag MD5 01161f84591bf956df7dff0a5e3fd2db )
catkin_download_test_data(download_data_test_partially_migrated_gen4.bag http://download.ros.org/data/test_rosbag/partially_migrated_gen4.bag FILENAME test/partially_migrated_gen4.bag MD5 38650a5e81b58500144646f8f781eb6b )
catkin_download_test_data(download_data_test_renamed_gen1.bag http://download.ros.org/data/test_rosbag/renamed_gen1.bag FILENAME test/renamed_gen1.bag MD5 243d6109f3bfd2ad1af1337a776970e5 )
catkin_download_test_data(download_data_test_renamed_gen2.bag http://download.ros.org/data/test_rosbag/renamed_gen2.bag FILENAME test/renamed_gen2.bag MD5 229c79262e42b71f36e316ab1d1ad943 )
catkin_download_test_data(download_data_test_renamed_gen3.bag http://download.ros.org/data/test_rosbag/renamed_gen3.bag FILENAME test/renamed_gen3.bag MD5 c9c3d03807de367b533f5e0384b4d134 )
catkin_download_test_data(download_data_test_renamed_gen4.bag http://download.ros.org/data/test_rosbag/renamed_gen4.bag FILENAME test/renamed_gen4.bag MD5 94454a67e7fb7187b61d46bc42f00b18 )
catkin_download_test_data(download_data_test_subunmigrated_gen1.bag http://download.ros.org/data/test_rosbag/subunmigrated_gen1.bag FILENAME test/subunmigrated_gen1.bag MD5 c78b85016aa34669e36d1eb5a7b5f2c7 )
catkin_download_test_data(download_data_test_unmigrated_gen1.bag http://download.ros.org/data/test_rosbag/unmigrated_gen1.bag FILENAME test/unmigrated_gen1.bag MD5 87d8d3a1c9679609533803709d21cea2 )

configure_file(test/migrate_test.py.in
  ${PROJECT_BINARY_DIR}/test/migrate_test.py)
catkin_add_nosetests(${PROJECT_BINARY_DIR}/test/migrate_test.py)
configure_file(test/random_record.xml.in
  ${PROJECT_BINARY_DIR}/test/random_record.xml)
add_rostest(${PROJECT_BINARY_DIR}/test/random_record.xml)
# Make sure that the random_record test runs before either of the random_play
# tests, both of which require a .bag file that the random_record test will
# write into /tmp. We're making an assumption about the target names generated
# by add_rostest(), but that naming scheme seems to be pretty stable.
configure_file(test/random_play.xml.in
  ${PROJECT_BINARY_DIR}/test/random_play.xml)
add_rostest(${PROJECT_BINARY_DIR}/test/random_play.xml
  DEPENDENCIES run_tests_test_rosbag_rostest_test_random_record.xml)
configure_file(test/random_play_sim.xml.in
  ${PROJECT_BINARY_DIR}/test/random_play_sim.xml)
add_rostest(${PROJECT_BINARY_DIR}/test/random_play_sim.xml
  DEPENDENCIES run_tests_test_rosbag_rostest_test_random_record.xml)

=== test/test_roscpp/perf_serialization/CMakeLists.txt ===
add_executable(${PROJECT_NAME}-pointcloud_serdes EXCLUDE_FROM_ALL pointcloud_serdes.cpp)
target_link_libraries(${PROJECT_NAME}-pointcloud_serdes ${catkin_LIBRARIES})
if(TARGET tests)
  add_dependencies(tests ${PROJECT_NAME}-pointcloud_serdes) 
endif()
add_dependencies(${PROJECT_NAME}-pointcloud_serdes ${${PROJECT_NAME}_EXPORTED_TARGETS})
#rosbuild_add_compile_flags(pointcloud_serdes "-O3 -funroll-loops")
#rosbuild_add_compile_flags(pointcloud_serdes "-march=prescott")

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11), catkin (>= 0.7.14-4), dh-exec, libroscpp-core-dev,
- python-rosunit, libconsole-bridge-dev, libboost-date-time-dev,
+Build-Depends: debhelper-compat (= 12), catkin (>= 0.7.14-5), dh-exec, libroscpp-core-dev,
+ python3-rosunit, libconsole-bridge-dev, libboost-date-time-dev,
  libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev,
- libboost-system-dev, libboost-thread-dev, libboost-signals-dev, liblz4-dev,
+ libboost-system-dev, libboost-thread-dev, liblz4-dev,
  ros-message-generation, libbz2-dev, libros-rosgraph-msgs-dev, libstd-msgs-dev,
- dh-python, python-dev, python3-dev, liblog4cxx-dev, libstd-srvs-dev, libboost-chrono-dev, libb64-dev, librosconsole-dev, pluginlib-dev, libgpgme-dev
-Standards-Version: 4.2.1
+ dh-python, python3-dev, liblog4cxx-dev, libstd-srvs-dev, libboost-chrono-dev, libb64-dev, librosconsole-dev, pluginlib-dev, libgpgme-dev, python3-empy
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-comm
 Vcs-Git: https://salsa.debian.org/science-team/ros-ros-comm.git
 Rules-Requires-Root: no
@@ -27,7 +27,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libroscpp2d (= ${binary:Version}), ${misc:Depends}, python, libboost-signals-dev, libboost-filesystem-dev, libboost-system-dev, librosconsole-dev, libros-rosgraph-msgs-dev, libxmlrpcpp-dev, libroscpp-msg-dev
+Depends: libroscpp2d (= ${binary:Version}), ${misc:Depends}, python3, libboost-filesystem-dev, libboost-system-dev, librosconsole-dev, libros-rosgraph-msgs-dev, libxmlrpcpp-dev, libroscpp-msg-dev
 Description: Robot OS development files for libroscpp
  This package is part of Robot OS (ROS). roscpp is a C++
  implementation of ROS. It provides a client library that enables C++
@@ -90,23 +90,6 @@
  .
  This package contains the generated C++ headers.
 
-Package: python-roscpp-msg
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-genpy
-Conflicts: python-roscpp-msgs
-Replaces: python-roscpp-msgs
-Description: Header for roscpp messages, Python 2
- This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
- It provides a client library that enables C++ programmers to quickly interface
- with ROS topics, services, and
- parameters.
- .
- roscpp is the most widely used ROS client library and is designed to be the
- high-performance library for ROS. ROS console output library.
- .
- This package contains the generated Python 2 package.
-
 Package: python3-roscpp-msg
 Section: python
 Architecture: all
@@ -140,31 +123,13 @@
  .
  This package contains the generated LISP library.
 
-Package: python-rospy
-Section: python
-Architecture: all
-Multi-Arch: allowed
-Depends: ${python:Depends}, ${misc:Depends}, python-std-msgs, python-rosgraph, python-roscpp-msg, python-rosgraph-msgs, python-yaml, python-roslib
-Description: Python 2 client library for Robot OS
- This package is part of Robot OS (ROS). The rospy client API enables
- Python programmers to quickly interface with ROS topics, services,
- and parameters. The design of rospy favors implementation speed
- (i.e. developer time) over runtime performance so that algorithms can
- be quickly prototyped and tested within ROS. It is also ideal for
- non-critical-path code, such as configuration and initialization
- code. Many of the ROS tools are written in rospy to take advantage of
- the type introspection capabilities.
- .
- Many of the ROS tools, such as rostopic and rosservice, are built on
- top of rospy.
- .
- This package contains the Python 2 library.
-
 Package: python3-rospy
 Section: python
 Architecture: all
 Multi-Arch: allowed
 Depends: ${python3:Depends}, ${misc:Depends}, python3-std-msgs, python3-rosgraph, python3-roscpp-msg, python3-rosgraph-msgs, python3-yaml, python3-roslib
+Breaks: python-rospy (<< 1.14.3+ds1-8)
+Replaces: python-rospy (<< 1.14.3+ds1-8)
 Description: Python 3 client library for Robot OS
  This package is part of Robot OS (ROS). The rospy client API enables
  Python programmers to quickly interface with ROS topics, services,
@@ -208,23 +173,13 @@
  The related rosbag package provides a command-line tool for working
  with bags.
 
-Package: python-rosbag
-Section: python
-Architecture: any
-Multi-Arch: allowed
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-roslib, python-rospy, python-roslz4, python-crypto, python-gnupg
-Description: Python 2 tools for recording from and playing back to Robot OS topics
- This package is part of Robot OS (ROS). It provides a command-line
- tool for working with bags (ROS messages stores). The corresponding
- librosbag package provides corresponding C++ and Python APIs.
- .
- This package contains the Python 2 library.
-
 Package: python3-rosbag
 Section: python
 Architecture: any
 Multi-Arch: allowed
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-roslib, python3-rospy, python3-roslz4, python3-crypto, python3-gnupg
+Breaks: python-rosbag (<< 1.14.3+ds1-8)
+Replaces: python-rosbag (<< 1.14.3+ds1-8)
 Description: Python 3 tools for recording from and playing back to Robot OS topics
  This package is part of Robot OS (ROS). It provides a command-line
  tool for working with bags (ROS messages stores). The corresponding
@@ -255,24 +210,13 @@
  .
  This package contains the library.
 
-Package: python-rosgraph
-Section: python
-Architecture: all
-Multi-Arch: allowed
-Depends: ${python:Depends}, ${misc:Depends}, python-yaml, python-rospkg
-Description: Tool to print information about the Robot OS computation graph - Python 2
- This package is part of Robot OS (ROS). rosgraph contains the
- rosgraph command-line tool, which prints information about the ROS
- computation graph. It also provides an internal library that can be
- used by graphical tools.
- .
- This package contains the Python 2 library.
-
 Package: python3-rosgraph
 Section: python
 Architecture: all
 Multi-Arch: allowed
 Depends: ${python3:Depends}, ${misc:Depends}, python3-yaml, python3-rospkg
+Breaks: python-rosgraph (<< 1.14.3+ds1-8)
+Replaces: python-rosgraph (<< 1.14.3+ds1-8)
 Description: Tool to print information about the Robot OS computation graph - Python 3
  This package is part of Robot OS (ROS). rosgraph contains the
  rosgraph command-line tool, which prints information about the ROS
@@ -281,12 +225,66 @@
  .
  This package contains the Python 3 library.
 
-Package: python-roslaunch
-Section: python
-Architecture: all
-Multi-Arch: allowed
-Depends: ${python:Depends}, ${misc:Depends}, python-rosclean,
- rosout, python-rospkg, python-rosgraph, python-roslib, python-rosmaster,
- python-rosgraph-msgs, python-netifaces, python-rosparam, python-yaml
-Description: roslaunch tool for Robot OS - Python 2
+Package: python3-roslaunch
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${misc:Depends}, python3-rosclean,
+ rosout, python3-rospkg, python3-rosgraph, python3-roslib, python3-rosmaster,
+ python3-rosgraph-msgs, python3-netifaces, python3-rosparam, python3-yaml
+Recommends: python3-crypto, python3-paramiko
+Breaks: python-roslaunch (<< 1.14.3+ds1-8)
+Replaces: python-roslaunch (<< 1.14.3+ds1-8)
+Description: roslaunch tool for Robot OS - Python 3
  This package is part of Robot OS (ROS). roslaunch is a tool for
+ easily launching multiple ROS nodes locally and remotely via SSH, as
+ well as setting parameters on the Parameter Server. It includes
+ options to automatically respawn processes that have already died.
+ roslaunch takes in one or more XML configuration files (with the
+ launch extension) that specify the parameters to set and nodes to
+ launch, as well as the machines that they should be run on.
+ .
+ This package contains the Python 3 library.
+
+Package: python3-rosmaster
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${misc:Depends}, python3-rosgraph, python3-rospkg, python3-defusedxml
+Breaks: python-rosmaster (<< 1.14.3+ds1-8)
+Replaces: python-rosmaster (<< 1.14.3+ds1-8)
+Description: Robot OS Master implementation - Python 3
+ This package is part of Robot OS (ROS). The rosmaster package
+ implements the ROS Master. Most programs will not need to interact
+ with this package directly. The rosmaster is run automatically
+ whenever roscore is run and all communication with the Master happens
+ over XMLRPC APIs.
+ .
+ This package contains the Python 3 library.
+
+Package: python3-rosmsg
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${misc:Depends}, python3-rosgraph, python3-rospkg, python3-roslib, python3-rosbag, python3-genpy
+Breaks: python-rosmsg (<< 1.14.3+ds1-8)
+Replaces: python-rosmsg (<< 1.14.3+ds1-8)
+Description: Command-line tools for displaying information about Robot OS - Python 3
+ This package is part of Robot OS (ROS). rosmsg is a command-line tool
+ for displaying information about ROS Message types. rossrv is a
+ command-line tool for displaying information about ROS Service types.
+ .
+ This package contains the Python 3 library.
+
+Package: python3-rosnode
+Section: python
+Architecture: all
+Multi-Arch: allowed
+Depends: ${python3:Depends}, ${misc:Depends}, python3-rosgraph, python3-rostopic
+Breaks: python-rosnode (<< 1.14.3+ds1-8)
+Replaces: python-rosnode (<< 1.14.3+ds1-8)
+Description: Tool for displaying debug information about Robot OS - Python 3
+ This package is part of Robot OS (ROS). rosnode is a command-line
+ tool for displaying debug information about ROS Nodes, including
+ publications, subscriptions and connections. It also contains an
+ experimental library for retrieving node information. This library is
